Bug 1184446 - Review Request: tunir - An ultra light CI system
Summary: Review Request: tunir - An ultra light CI system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 12:41 UTC by kushaldas@gmail.com
Modified: 2015-07-18 02:03 UTC (History)
2 users (show)

Fixed In Version: tunir-0.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-18 02:03:37 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2015-01-21 12:41:01 UTC
Spec URL: https://kushal.fedorapeople.org/packages/tunir.spec
SRPM URL: https://kushal.fedorapeople.org/packages/tunir-0.1-1.fc21.src.rpm
Description: An ultra light CI system, specially targeting Cloud images. It can run the tests inside of cloud VM(s), bare metal server, or even in Docker containers.
Fedora Account System Username: kushal

$  rpmlint SRPMS/tunir-0.1-1.fc21.src.rpm RPMS/noarch/tunir-0.1-1.fc21.noarch.rpm 
tunir.noarch: E: explicit-lib-dependency libguestfs-tools
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Because it is a noarch packages, added that above mentioned dependency manually.

Comment 1 Parag AN(पराग) 2015-01-21 14:08:01 UTC
Suggestions:

1) There are many BuildRequires: and Requires:  packages on single line, good to write them as one package per line like
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-redis
BuildRequires:  python-sqlalchemy

Requires:       redis
Requires:       python-redis
Requires:       docker-io
Requires:       libguestfs-tools
Requires:       python-sqlalchemy
Requires:       python-paramiko

2) We now use specific macros python2 or python3, See http://fedoraproject.org/wiki/Packaging:Python#Macros

3) If this package is not for EPEL5 which I believe not then you can safely remove Group tag.

4) License is not clear. Only few source files show GPLv2+ whereas PKG-INFO and setup.py says just GPL and there is no supporting text file of license. Ask upstream to add license text file.

5) You need to add following in %prep after %setup
# Remove upstream provided egg-info files
rm -rf *.egg-info

6) we already have a macro for /usr/share
%{_prefix}/share/tunir
to
%{_datadir}/tunir

7) Can we have python3 compatibility added in upstream? You know soon we are moving to use python3 as default.

8) Also, I don't think you need to remove *.py{c,o} files in %install

Comment 3 Parag AN(पराग) 2015-02-13 06:02:59 UTC
1) Any plans to add python3 compatibility?

2) License file is not present. Please add license text file and add it using 
%license macro

rest looks good.

Comment 4 kushaldas@gmail.com 2015-03-24 07:41:33 UTC
New Spec URL: https://kushal.fedorapeople.org/packages/tunir.spec
New SRPM URL: https://kushal.fedorapeople.org/packages/tunir-0.5-1.fc21.src.rpm

No Python3 for now.

Comment 5 Parag AN(पराग) 2015-03-24 10:18:16 UTC
I observed that COPYING and LICENSE files both have same text that is GPLv2+. You may want to drop generic file name COPYING and keep LICENSE in %license

You may want to change docker-io to docker as its renamed last week only. This change happened for epel7, F22 and F23 only.

You may want to remove unnecessary empty lines between sections.

Please fix above issues before importing this package in Fedora.

otherwise looks fine.

APPROVED.

Comment 6 kushaldas@gmail.com 2015-04-17 16:30:27 UTC
New Package SCM Request
=======================
Package Name: tunir
Short Description: An ultra light CI system
Upstream URL: http://tunir.rtfd.org
Owners: kushal
Branches: el7 el6 f22
InitialCC: kushal

Comment 7 Gwyn Ciesla 2015-04-17 18:43:07 UTC
Git done (by process-git-requests).

Comment 8 Parag AN(पराग) 2015-05-27 12:36:39 UTC
any updates here? can this be closed now?

Comment 9 Fedora Update System 2015-06-09 09:55:51 UTC
tunir-0.6-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tunir-0.6-2.fc22

Comment 10 Fedora Update System 2015-06-10 19:16:48 UTC
Package tunir-0.6-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tunir-0.6-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9736/tunir-0.6-2.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-07-17 09:09:37 UTC
tunir-0.6-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/tunir-0.6-3.el7

Comment 12 Fedora Update System 2015-07-18 02:03:37 UTC
tunir-0.6-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.